Need Help Resolving Magic Leap 2 Application Simulator Errors in Unity Editor

Unity Editor version: 2022.3.11f1 or 2022.3.35f1
ML2 OS version:1.7.0
Unity SDK version:2.2.0
Host OS: MacOS Sonoma version14.5

Hello,

I have started using Magic Leap 2 this month. I want to develop applications for Magic Leap 2 using Unity Editor. My goal is to use the Application Simulator to debug by playing in the Unity Editor.
For learning purposes, I want to run UnityExample Ver2.2.0.
When I open the HelloCube scene in Unity Editor and press Play, the following errors and warnings are displayed:

**
XR_ML_spatial_anchors is not enabled. Disabling MagicLeapSpatialAnchorsFeature

UnityEngine.XR.Management.XRGeneralSettings:AttemptInitializeXRSDKOnLoad () (at ./Library/PackageCache/com.unity.xr.management@4.4.0/Runtime/XRGeneralSettings.cs:148)

XR_ML_marker_understanding is not enabled, disabling MagicLeapMarkerUnderstandingFeature.

UnityEngine.XR.Management.XRGeneralSettings:AttemptInitializeXRSDKOnLoad () (at ./Library/PackageCache/com.unity.xr.management@4.4.0/Runtime/XRGeneralSettings.cs:148)

XR_ML_world_mesh_detection is not enabled. Disabling MagicLeapMeshingFeature

UnityEngine.XR.Management.XRGeneralSettings:AttemptInitializeXRSDKOnLoad () (at ./Library/PackageCache/com.unity.xr.management@4.4.0/Runtime/XRGeneralSettings.cs:148)

XR_EXT_plane_detection is not enabled. Disabling MagicLeapPlanesFeature

UnityEngine.XR.Management.XRGeneralSettings:AttemptInitializeXRSDKOnLoad () (at ./Library/PackageCache/com.unity.xr.management@4.4.0/Runtime/XRGeneralSettings.cs:148)
**
I set the Application Simulator in the Magic Leap Hub (Target: ML C SDK 1.7.0, Magic Leap 2 device) to State: Connected and played it again from the Unity Editor, but the situation did not change. I tried changing the Unity Editor version to 2022.3.35f1, but the situation did not change either.

I can run the application by building an Android APK from the Unity Editor and installing it on the Magic Leap 2 device.

Am I missing any settings to resolve the errors? Please help me.

Thank you for reading.

Magic Leap's Application simulator is deprecated and only works with SDK versions 1.12.0 and older. Please try using the older Unity Example's project that implements this version of the SDK.

1 Like